/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreMissing;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreMissingRecord extends TableRecordImpl<VCoreMissingRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_missing.missinglist</code>.
     */
    public void setMissinglist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_missing.missinglist</code>.
     */
    public Integer getMissinglist() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_missing.missingmastervalue</code>.
     */
    public void setMissingmastervalue(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_missing.missingmastervalue</code>.
     */
    public Integer getMissingmastervalue() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_missing.missingmaster_lang</code>.
     */
    public void setMissingmasterLang(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_missing.missingmaster_lang</code>.
     */
    public String getMissingmasterLang() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_missing.missingvalue_ecrf</code>.
     */
    public void setMissingvalueEcrf(Boolean value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_missing.missingvalue_ecrf</code>.
     */
    public Boolean getMissingvalueEcrf() {
        return (Boolean) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreMissingRecord
     */
    public VCoreMissingRecord() {
        super(VCoreMissing.V_CORE_MISSING);
    }

    /**
     * Create a detached, initialised VCoreMissingRecord
     */
    public VCoreMissingRecord(Integer missinglist, Integer missingmastervalue, String missingmasterLang, Boolean missingvalueEcrf) {
        super(VCoreMissing.V_CORE_MISSING);

        setMissinglist(missinglist);
        setMissingmastervalue(missingmastervalue);
        setMissingmasterLang(missingmasterLang);
        setMissingvalueEcrf(missingvalueEcrf);
        resetChangedOnNotNull();
    }
}
